Package org.eclipse.mat.parser.internal.oql.compiler

# Class Expression

java.lang.Object
org.eclipse.mat.parser.internal.oql.compiler.Expression

Direct Known Subclasses:
  `QueryExpression`

public abstract class Expression extends Object

## Constructor Summary

Constructors
Constructor
Description
`Expression()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`compute(EvaluationContext ctx)`
`abstract boolean`
`isContextDependent(EvaluationContext ctx)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Expression

public Expression()

## Method Details

### compute

public abstract Object compute(EvaluationContext ctx) throws SnapshotException, IProgressListener.OperationCanceledException

Throws:
  `SnapshotException`
  `IProgressListener.OperationCanceledException`

### isContextDependent

public abstract boolean isContextDependent(EvaluationContext ctx)